Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.client
Class RedirectLocations

    java.lang.Object
      org.apache.http.impl.client.RedirectLocations

    @NotThreadSafe
    public class RedirectLocations

extends Object

This class represents a collection of `URI`s used as redirect locations.

Since:
  4.0

Constructor Summary
`RedirectLocations()`

Method Summary
`void` | `add(URI uri)` Adds a new URI to the collection.
`boolean` | `contains(URI uri)` Test if the URI is present in the collection.
`List<URI>` | `getAll()` Returns all redirect `URI`s in the order they were added to the collection.
`boolean` | `remove(URI uri)` Removes a URI from the collection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RedirectLocations

    public RedirectLocations()

Method Detail

### contains

    public boolean contains(URI uri)

  Test if the URI is present in the collection.

### add

    public void add(URI uri)

  Adds a new URI to the collection.

### remove

    public boolean remove(URI uri)

  Removes a URI from the collection.

### getAll

    public List<URI> getAll()

  Returns all redirect `URI`s in the order they were added to the collection.

  Returns:
    list of all URIs
  Since:
    4.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.